%define major		1
%define libname		%mklibname dbusextended-qt5_ %{major}
%define develname	%mklibname dbusextended-qt5 -d

Name:		qtdbusextended
Summary:	Extended DBus for Qt
Version:	0.0.3
Release:	%mkrel 7
License:	LGPLv2+
Group:		Development/KDE and Qt
URL:		https://github.com/nemomobile/qtdbusextended
Source0:	https://github.com/nemomobile/qtdbusextended/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)

%description
Extended DBus for Qt.

#------------------------------------------------

%package -n	%{libname}
Summary:	Extended DBus for Qt
Group:		System/Libraries

%description -n	%{libname}
Extended DBus for Qt.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	dbusextended-qt5-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files -n %{libname}
%{_qt5_libdir}/libdbusextended-qt5.so.%{major}{,.*}

%files -n %{develname}
%{_qt5_includedir}/DBusExtended/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libdbusextended-qt5.so
%{_qt5_archdatadir}/mkspecs/features/*.prf


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.3-7.mga10
+ Revision: 2214197
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 0.0.3-6.mga9
+ Revision: 1842188
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.0.3-5.mga8
+ Revision: 1659625
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.0.3-4.mga8
+ Revision: 1527897
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 daviddavid <daviddavid> 0.0.3-3.mga8
+ Revision: 1424455
- rebuild for new Qt5 headers path and new mkspecs macros

* Mon Apr 01 2019 umeabot <umeabot> 0.0.3-2.mga7
+ Revision: 1384362
- Qt5 Rebuild

* Sun Sep 02 2018 daviddavid <daviddavid> 0.0.3-1.mga7
+ Revision: 1256185
- initial package qtdbusextended

